## lumina 1.4.0

=== FreeBSD/deskutils/lumina-archiver/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-archiver
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Archive manager from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-calculator/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-calculator
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Scientific calculator from the Lumina Desktop

LICENSE=	BSD3CLAUSE

LIB_DEPENDS+=	libxcb-ewmh.so:x11/xcb-util-wm \
		libxcb-icccm.so:x11/xcb-util-wm \
		libxcb-image.so:x11/xcb-util-image \
		libxcb-util.so:x11/xcb-util

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_GL=		gl
USE_XORG=	x11 xdamage xcb
USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-fileinfo/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-fileinfo
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	File properties utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-fm/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-fm
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Insight file manager from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg imageformats \
		buildtools_build x11extras multimedia concurrent
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-mediaplayer/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-mediaplayer
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Streaming media player from the Lumina Desktop

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	gstreamer1-qt5>=0:multimedia/gstreamer1-qt5 \
		gstreamer1-plugins-gl>=0:graphics/gstreamer1-plugins-gl

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake
USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras multimedia concurrent
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-notify/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-notify
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Alarm/notification utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-pdf/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-pdf
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	PDF viewer from the Lumina Desktop

LICENSE=	BSD3CLAUSE

LIB_DEPENDS=	libpoppler-qt5.so:graphics/poppler-qt5

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg multimedia \
		buildtools_build x11extras concurrent printsupport
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-screenshot/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-screenshot
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Screenshot utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-textedit/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-textedit
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Plaintext editor from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/deskutils/lumina-xdg-entry/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-xdg-entry
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	XDG desktop entry creator from the Lumina Desktop

LICENSE=	BSD3CLAUSE

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_QT5=	core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/x11/lumina-core/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-core
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	x11

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Lumina Desktop Environment

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	fluxbox>=0:x11-wm/fluxbox \
		xscreensaver>=0:x11/xscreensaver \
		xbrightness>=0:x11/xbrightness \
		compton>=0:x11-wm/compton \
		xrandr>=0:x11/xrandr \
		numlockx>=0:x11/numlockx
LIB_DEPENDS+=	libxcb-ewmh.so:x11/xcb-util-wm \
		libxcb-icccm.so:x11/xcb-util-wm \
		libxcb-image.so:x11/xcb-util-image \
		libxcb-util.so:x11/xcb-util

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	MULTIMEDIA TRUEOS I18N
OPTIONS_DEFAULT=	MULTIMEDIA I18N
MULTIMEDIA_DESC=	Install multimedia support backend (gstreamer)
TRUEOS_DESC=	Use the TrueOS system interface settings.
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MMULTIMEDIA}
RUN_DEPENDS+=	gstreamer1-plugins-core>=0:multimedia/gstreamer1-plugins-core
.endif

MAKE_JOBS_UNSAFE=yes

USE_GL=		gl
USE_XORG=	x11 xdamage xcb
USE_LDCONFIG=	yes
USE_QT5=	core gui widgets network svg multimedia imageformats \
		buildtools_build x11extras concurrent
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/core

#Setup the qmake configuration options
.if ${PORT_OPTIONS:MTRUEOS}
QMAKE_ARGS=	DEFAULT_SETTINGS=TrueOS
.endif

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== FreeBSD/x11/lumina-coreutils/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina-coreutils
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	x11

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Lumina Desktop Environment

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	xrandr:x11/xrandr

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USE_LDCONFIG=	yes
USE_QT5=	core gui widgets network svg imageformats \
		buildtools_build x11extras concurrent multimedia
USES=		qmake
USE_GITHUB=	yes
GH_ACCOUNT=	trueos
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/core-utils

.if${PORT_OPTIONS:MI18N}
USE_QT5+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

## lumina 1.4.0-p1

=== debian/changelog ===
lumina (1.4.0-p1-1.1) unstable; urgency=medium

  * antiX stretch build

 -- anticapitalista <antix@operamail.com>  Thu, 05 Jul 2018 14:14:55 +0300

lumina (1.4.0-p1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Wed, 29 Nov 2017 13:57:38 +0100

=== debian/control ===
Source: lumina
Section: x11
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev,
               libxcb1-dev, libx11-xcb-dev, libxcb-composite0-dev, libxcb-ewmh-dev,
               libx11-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
               libxcb-icccm4-dev, libxcb-damage0-dev, libxcb-util0-dev,
               libqt5x11extras5-dev, qttools5-dev-tools, libxcb-image0-dev,
               libxcb-composite0-dev, qtdeclarative5-dev, libqt5svg5-dev,
               libxcb-xinput0-dev, qtbase5-private-dev,
               libglib2.0-dev, libmtdev-dev, libfontconfig1-dev, libfreetype6-dev,
               libpulse-dev, libgl1-mesa-dev, libc6-dev, libpoppler-qt5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/trueos/lumina

Package: lumina-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, oxygen-icon-theme, lxpolkit | lxsession, fluxbox, numlockx, xbacklight, xscreensaver, alsa-utils, gstreamer1.0-plugins-base, phonon4qt5-backend-gstreamer, pavucontrol, procps, qtmultimedia5-examples, sysstat
Recommends: qt5-configuration-tool, usbmount, acpi
Suggests: gstreamer1.0-fluendo-mp3
Conflicts: libluminautils1, lumina-config, lumina-fm, lumina-open, lumina-screenshot, lumina-search, lumina-info, lumina-xconfig, lumina-fileinfo, lumina-data, lumina-textedit, lumina-archiver, lumina-calculator, lumina-mediaplayer, lumina-notify, lumina-xdg-entry, lumina-terminal, lumina-pdf
Replaces: lumina-core (<< 0.8.3.372), libluminautils1, lumina-config, lumina-fm, lumina-open, lumina-screenshot, lumina-search, lumina-info, lumina-xconfig, lumina-fileinfo, lumina-data, lumina-textedit, lumina-archiver, lumina-calculator, lumina-mediaplayer, lumina-notify, lumina-xdg-entry, lumina-terminal, lumina-pdf
Description: Lumina
 Lightweight Qt5-based desktop environment

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	#sed -i -e 's/shutdown -P -h now/systemctl poweroff/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
	#sed -i -e 's/shutdown -r now/systemctl reboot/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake \
		PREFIX=/usr \
		LIBPREFIX=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_ETCDIR=/etc \
		QMAKE_CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_LFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		CONFIG+=nostrip \
		CONFIG+=WITH_I18N \
		QMAKE_CFLAGS_ISYSTEM=

override_dh_auto_clean:
	dh_auto_clean
	-find $(CURDIR) -name *.qm -delete

## lumina 1.6.0

=== port-files/FreeBSD/deskutils/lumina-fileinfo/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-fileinfo
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	File properties utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/deskutils/lumina-mediaplayer/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-mediaplayer
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Streaming media player from the Lumina Desktop

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	gstreamer1-qt5>=0:multimedia/gstreamer1-qt \
		gstreamer1-plugins-gl>=0:graphics/gstreamer1-plugins-gl

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras multimedia concurrent
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/x11/lumina-coreutils/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-coreutils
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	x11

MAINTAINER=	jt@ixsystems.com
COMMENT=	Lumina Desktop Environment

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	xrandr:x11/xrandr

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5

USE_LDCONFIG=	yes
USE_QT=			core gui widgets network svg imageformats \
		buildtools_build x11extras concurrent multimedia

USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/core-utils

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== debian/changelog ===
lumina (1.6.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release, port for MX Linux.
  * Add libxcursor-dev to build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 May 2020 16:57:29 -0700

lumina (1.5.0~sparky6~0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Mon, 04 Nov 2019 20:39:42 +0100

=== debian/control ===
Source: lumina
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 10),
               libfontconfig1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglib2.0-dev,
               libmtdev-dev,
               libpoppler-qt5-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xinput-dev | libxcb-xinput0-dev,
               libxcb1-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxrender-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://github.com/lumina-desktop/lumina

Package: lumina-desktop
Architecture: any
Depends: alsa-utils,
         fluxbox,
         gstreamer1.0-plugins-base,
         lxpolkit | lxsession,
         numlockx,
         oxygen-icon-theme,
         pavucontrol,
         phonon4qt5-backend-gstreamer,
         procps,
         qtmultimedia5-examples,
         sysstat,
         xbacklight,
         xscreensaver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: acpi,
            qt5-configuration-tool | qt5ct,
            usbmount
Description: lightweight Qt5-based desktop environment
 Lightweight Qt5-based desktop environment

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@ 
 
 override_dh_auto_configure:
-	#sed -i -e 's/shutdown -P -h now/systemctl poweroff/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
-	#sed -i -e 's/shutdown -r now/systemctl reboot/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
+	sed -i -e 's/shutdown -P -h now/systemctl poweroff/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
+	sed -i -e 's/shutdown -r now/systemctl reboot/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
 	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake \
 		PREFIX=/usr \
 		LIBPREFIX=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -26,3 +26,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	-find $(CURDIR) -name *.qm -delete
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lumina 1.6.2

=== debian/changelog ===
lumina (1.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 26 Dec 2021 11:41:02 +0100

=== debian/control ===
Source: lumina
Section: x11
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev,
               libxcb1-dev, libx11-xcb-dev, libxcb-composite0-dev, libxcb-ewmh-dev,
               libx11-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
               libxcb-icccm4-dev, libxcb-damage0-dev, libxcb-util-dev,
               libqt5x11extras5-dev, qttools5-dev-tools, libxcb-image0-dev,
               libxcb-composite0-dev, qtdeclarative5-dev, libqt5svg5-dev,
               libxcb-xinput-dev | libxcb-xinput0-dev, qtbase5-private-dev,
               libglib2.0-dev, libmtdev-dev, libfontconfig1-dev, libfreetype6-dev,
               libpulse-dev, libgl1-mesa-dev, libc6-dev, libpoppler-qt5-dev, libxcb-dpms0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/lumina-desktop/lumina

Package: lumina-desktop
Architecture: any
Depends: libc6 (>= 2.14), libgcc1 (>= 1:3.0), libqt5core5a (>= 5.12.2), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.11.0~rc1) | libqt5gui5-gles (>= 5.11.0~rc1), libqt5multimedia5 (>= 5.7.0), libqt5multimediawidgets5 (>= 5.6.0~beta), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.11.0~rc1), libqt5x11extras5 (>= 5.6.0), libstdc++6 (>= 5), libxcb-composite0, libxcb-damage0, libxcb-ewmh2 (>= 0.4.1), libxcb-icccm4 (>= 0.4.1), libxcb-image0 (>= 0.2), libxcb-util1 (>= 0.3.8), libxcb1, libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1), oxygen-icon-theme, lxpolkit | lxsession, fluxbox, numlockx, xbacklight, xscreensaver, alsa-utils, gstreamer1.0-plugins-base, phonon4qt5-backend-gstreamer, pavucontrol, procps, qtmultimedia5-examples, sysstat, libxcb-dpms0, la-capitaine-icon-theme
Suggests: gstreamer1.0-fluendo-mp3, qt5-configuration-tool, usbmount, acpi
Conflicts: libluminautils1, lumina-archiver, lumina-calculator, lumina-config, lumina-data, lumina-fileinfo, lumina-fm, lumina-info, lumina-mediaplayer, lumina-notify, lumina-open, lumina-pdf, lumina-photo, lumina-screenshot, lumina-search, lumina-terminal, lumina-textedit, lumina-xconfig, lumina-xdg-entry
Replaces: lumina-core (<< 0.8.3.372), libluminautils1, lumina-archiver, lumina-calculator, lumina-config, lumina-data, lumina-fileinfo, lumina-fm, lumina-info, lumina-mediaplayer, lumina-notify, lumina-open, lumina-pdf, lumina-photo, lumina-screenshot, lumina-search, lumina-terminal, lumina-textedit, lumina-xconfig, lumina-xdg-entry
Description: Lumina
 Lightweight Qt5-based desktop environment

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@ --no-parallel
 
 override_dh_auto_configure:
 	sed -i -e 's/shutdown -P -h now/systemctl poweroff/' src-qt5/core/libLumina/LuminaOS-Linux.cpp
@@ -26,6 +26,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	-find $(CURDIR) -name *.qm -delete
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
